
    var translation = { dcdi :       [ 'DCDI', 'dcdi' ],
                        useAsRtImg : [ 'als Echtzeitbild verwenden', 'use as realtime image' ],
                        useAsDefImg : [ 'als Standardbild verwenden', 'use as default image' ],
                        useAsFbImg : [ 'als Rückfallbild verwenden', 'use as fallback image' ],
                        changed : [ 'Einstellungen wurden übernommen', 'config has been changed' ],
                        changedNot : [ 'Einstellungen sind gleich geblieben', 'config did not change' ] };
                        
    var req_ajaxImg = null;
    var t = null;

    function img_handleImgRsp() {
        var content = comm_get_result( req_ajaxImg );
        if( content != null ) {
          if( content.changed ) {
            addFooterMessage( translation.changed[ langIdx ] );
          } else {
            addFooterMessage( translation.changedNot[ langIdx ] );
          }
        }
    }

    function img_requestAction( sAction ) {
        console.log( 'request action: ' + sAction );
        req_ajaxImg = comm_requestCallback( '/ajaxDeZign?' + sAction, img_handleImgRsp );
    }
    

    j(function(){
        /**************************************************
         * Context-Menu with Sub-Menu
         **************************************************/
        j.contextMenu({
            selector: ".clsCtxMenu",
            items: {
                "delete": {
                    "name": translation.dcdi[ langIdx ],
                    disabled: boDcdiDisabled,
                    "items": {
                        "useAsRtImg": {
                            "name": translation.useAsRtImg[ langIdx ],
                            disabled:boDcdiDisabled,
                            callback: function(key, options){
                                img_requestAction( 'dcdiRtImg=' + this.attr( "id" ) );
                            }
                        }, 
                        "useAsDefImg": {
                            "name": translation.useAsDefImg[ langIdx ],
                            disabled:boDcdiDisabled,
                            callback: function(key, options){
                                img_requestAction( 'dcdiDefImg=' + this.attr( "id" ) );
                            }
                        }, 
                        "useAsFbImg": {
                            "name": translation.useAsFbImg[ langIdx ],
                            disabled:boDcdiDisabled,
                            callback: function(key, options){
                                img_requestAction( 'dcdiFbImg=' + this.attr( "id" ) );
                            }
                        }
                    }
                },
                "sep1": "---------"
            }
        });
    });
